Page MenuHomePhabricator

Flow/includes/Formatter/RevisionFormatter.php triggers warnings on PHP 7.3
Closed, ResolvedPublic

Description

PHP Warning: "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in /srv/mediawiki/core/extensions/Flow/includes/Formatter/RevisionFormatter.php on line 632
PHP Warning: "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in /srv/mediawiki/core/extensions/Flow/includes/Formatter/RevisionFormatter.php on line 685

Event Timeline

Legoktm created this task.Oct 16 2018, 2:50 AM
Restricted Application added a project: Growth-Team. · View Herald TranscriptOct 16 2018, 2:50 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Note, this also triggers test failures \o/

18:30:54 1) Flow\Tests\Block\TopicListBlockTest::testSortByOption
18:30:54 "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"?
18:30:54 
18:30:54 /workspace/src/extensions/Flow/includes/Formatter/RevisionFormatter.php:632
18:30:54 /workspace/src/includes/AutoLoader.php:109
18:30:54 /workspace/src/includes/AutoLoader.php:109
18:30:54 /workspace/src/extensions/Flow/container.php:1001
18:30:54 /workspace/src/vendor/pimple/pimple/src/Pimple/Container.php:109
18:30:54 /workspace/src/extensions/Flow/container.php:1011
18:30:54 /workspace/src/vendor/pimple/pimple/src/Pimple/Container.php:113
18:30:54 /workspace/src/extensions/Flow/includes/Container.php:48
18:30:54 /workspace/src/extensions/Flow/includes/Block/TopicListBlock.php:252
18:30:54 /workspace/src/extensions/Flow/tests/phpunit/Block/TopicListBlockTest.php:37
18:30:54 /workspace/src/tests/phpunit/MediaWikiTestCase.php:424
18:30:54 /workspace/src/maintenance/doMaintenance.php:94
RazeSoldier triaged this task as Medium priority.

Change 467867 had a related patch set uploaded (by 星耀晨曦; owner: 星耀晨曦):
[mediawiki/extensions/Flow@master] Use "break" instead of "continue" inside a switch

https://gerrit.wikimedia.org/r/467867

Change 467867 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Use "break" instead of "continue" inside a switch

https://gerrit.wikimedia.org/r/467867

Change 467880 had a related patch set uploaded (by Legoktm; owner: 星耀晨曦):
[mediawiki/extensions/Flow@REL1_32] Use "break" instead of "continue" inside a switch

https://gerrit.wikimedia.org/r/467880

Change 467881 had a related patch set uploaded (by Legoktm; owner: 星耀晨曦):
[mediawiki/extensions/Flow@REL1_31] Use "break" instead of "continue" inside a switch

https://gerrit.wikimedia.org/r/467881

Legoktm closed this task as Resolved.Oct 17 2018, 5:25 AM
RazeSoldier reopened this task as Open.Oct 17 2018, 5:22 PM

Some changes can't merge due test failure.

Change 467881 merged by Umherirrender:
[mediawiki/extensions/Flow@REL1_31] Use "break" instead of "continue" inside a switch

https://gerrit.wikimedia.org/r/467881

kostajh closed this task as Resolved.Nov 7 2018, 7:42 PM
kostajh added a subscriber: kostajh.

Patch is merged now.

REL1_32 patch still need to merge.

Change 467880 merged by Umherirrender:
[mediawiki/extensions/Flow@REL1_32] Use "break" instead of "continue" inside a switch

https://gerrit.wikimedia.org/r/467880